#!/usr/bin/env python

'''podbrowser.py - POD Databook Browser Application (main entry point)
Chris R. Coughlin (TRI/Austin, Inc.)
'''
import os.path
import wx
from ui import podbrowser_ui
from ui import splash_screen
from util import program_info

def main():
    '''Creates and runs the POD Browser user interface'''
    splash = splash_screen.Splash()
    splash.printBottomText("Version {0} Build Date {1}".format(program_info.version, program_info.build_date),
        offset=(0, 5), display_time=1000, clear=True)
    splash.printBottomText("Loading POD Data...", offset=(0, 5), display_time=1000, clear=True)
    splash.close()
    pod_app = wx.PySimpleApp()
    ui = podbrowser_ui.UI(parent=None,
        datafolder=os.path.join(os.path.dirname(__file__), 'data'))
    splash.printBottomText("Loading POD Data...ok", offset=(0, 5), display_time=500)
    ui.Show(True)
    pod_app.MainLoop()

if __name__ == "__main__":
    main()